/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */


package org.apache.geronimo.gjndi.binding;

import java.util.Map;
import java.util.HashMap;

import junit.framework.TestCase;
import org.apache.geronimo.gbean.GBeanInfo;

/**
 * @version $Rev: 615514 $ $Date: 2008-01-27 06:08:26 +0800 (Sun, 27 Jan 2008) $
 */
public class FormatTest extends TestCase {

    public void testPattern() throws Exception {
        Map<String, String> map = new HashMap<String, String>();
        map.put("foo", "white");
        map.put("bar", "black");
        assertEquals("white/black", GBeanFormatBinding.format("{foo}/{bar}", map));
        assertEquals("black/black", GBeanFormatBinding.format("{bar}/{bar}", map));
        assertEquals("java:white/test/black/test", GBeanFormatBinding.format("java:{foo}/test/{bar}/test", map));
    }

    public void testGBeanInfos() throws Exception {
        GBeanInfo info = ResourceBinding.getGBeanInfo();
        info = GBeanFormatBinding.getGBeanInfo();
    }

}
